Package org.globus.ftp.dc

# Interface DataChannelReader

All Known Implementing Classes:
  `EBlockImageDCReader`, `StreamAsciiDCReader`, `StreamImageDCReader`

public interface DataChannelReader

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`Buffer`
`read()`
`void`
`setDataStream(InputStream in)`

## Method Details

### setDataStream

void setDataStream(InputStream in)

### read

Buffer read() throws IOException

Returns:
  Buffer of read data or null if end of data
Throws:
  `IOException`

### close

void close() throws IOException

Throws:
  `IOException`